Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.engines
Class CamelliaWrapEngine

    java.lang.Object
      org.bouncycastle.crypto.engines.RFC3394WrapEngine
          org.bouncycastle.crypto.engines.CamelliaWrapEngine

All Implemented Interfaces:
  Wrapper

    public class CamelliaWrapEngine

extends RFC3394WrapEngine

An implementation of the Camellia key wrapper based on RFC 3657/RFC 3394.

For further details see: http://www.ietf.org/rfc/rfc3657.txt.

Constructor Summary
`CamelliaWrapEngine()`

Method Summary

Methods inherited from class org.bouncycastle.crypto.engines.RFC3394WrapEngine
`getAlgorithmName, init, unwrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CamelliaWrapEngine

    public CamelliaWrapEngine()

Bouncy Castle Cryptography Library 1.45